<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>M-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="M-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/ZuulMain.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class ch.sebi.zuul.<a href="../ch/sebi/zuul/ZuulMain.html" title="class in ch.sebi.zuul">ZuulMain</a></dt>
<dd>
<div class="block">the main function</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">MainGame</span></a> - Class in <a href="../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></dt>
<dd>
<div class="block">The class which</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#MainGame--">MainGame()</a></span> - Constructor for class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">constructor<br/>
  it creates a new game instance.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#maxLife">maxLife</a></span> - Variable in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">How many lifes the player can have</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#maxSlots">maxSlots</a></span> - Variable in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">the max allowed numbers of slots</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#menu">menu</a></span> - Variable in class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">InventoryExecutor</a></dt>
<dd>
<div class="block">The main inventory menu</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Menu</span></a> - Class in <a href="../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a></dt>
<dd>
<div class="block">a class which implements a basic menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu--">Menu()</a></span> - Constructor for class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">constructor<br/>

 Creates a new menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu-ch.sebi.zuul.logic.ui.menu.MenuItem...-">Menu(MenuItem...)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">constructor<br/>

 Creates a new menu and adds the given menu items to the Menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#Menu-java.lang.String...-">Menu(String...)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">constructor<br/>

 Creates a new menu and adds the given strings as menu items.</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">MenuItem</span></a> - Class in <a href="../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a></dt>
<dd>
<div class="block">A Menuitem of <a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu"><code>Menu</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#MenuItem-java.lang.String-">MenuItem(String)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">constructor <br/>
 a new menu item</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#MenuItem-java.lang.String-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">MenuItem(String, MenuItemAction)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">constructor<br/>
 a new menu item</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">MenuItemAction</span></a> - Interface in <a href="../ch/sebi/zuul/logic/ui/menu/package-summary.html">ch.sebi.zuul.logic.ui.menu</a></dt>
<dd>
<div class="block">An interface which is used for event listeners for <a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu"><code>MenuItem</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#minimalAmount">minimalAmount</a></span> - Variable in class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></dt>
<dd>
<div class="block">The minimal amount of the item</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-10.html">Prev Letter</a></li>
<li><a href="index-12.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-11.html" target="_top">Frames</a></li>
<li><a href="index-11.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
